Listar workspaces conectados a una red WiFi
Devuelve una lista paginada de workspaces (dispositivos FWS) conectados a la red WiFi indicada según su SSID, dentro del alcance de la organización autorizada (incluye tenants delegados accesibles). Si la red WiFi no existe en el alcance autorizado, responde 404. Si existe pero no tiene dispositivos, responde 200 con data vacía. La agregación no está disponible en este endpoint. El contrato público es solo identificadores.
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": false,
"data": [
{
"id": "507f1f77bcf86cd799439012",
"wifi_network_id": "d4e5f6a7-b8c9-0123-def0-234567890123",
"organization_id": "507f1f77bcf86cd799439011"
}
]
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Identificador de la organización.
24^[0-9a-f]{24}$Identificador de la red WiFi (FWS WifiNetwork.Oid).
Parámetros de consulta
Número de página.
x >= 1Número de elementos por página.
1 <= x <= 100Campos de respuesta separados por comas para cada elemento.
2048Expresión JSON de filtros. Este endpoint no publica campos filtrables.
5120Expresión de ordenación con el formato :asc|desc. Este endpoint no publica campos ordenables; omitir para usar el orden interno por defecto.
^([a-z_]+):(asc|desc)$curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/wifi-networks/{wifi_network_id}/connected-workspaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": false,
"data": [
{
"id": "507f1f77bcf86cd799439012",
"wifi_network_id": "d4e5f6a7-b8c9-0123-def0-234567890123",
"organization_id": "507f1f77bcf86cd799439011"
}
]
}